import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}companylist`, { data });
};

export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}companyadd`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}companysave`, { data });
};

export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}companystatus`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}companyinfo`, { data });
};
